This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 69913 - bindconf requires named.ca from caching-nameserver package
bindconf requires named.ca from caching-nameserver package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bindconf (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-26 03:56 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 15:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-26 03:56:21 EDT
From Bugzilla Helper:


User-Agent: Mozilla/4.0 (compatible; MSIE 5.21; Mac_PowerPC)





Description of problem:


All the bind configurations generated by bindconf refer to named.ca, that is installed by 
caching-nameserver, that's not a dipendence.


In this way bindconf generates configurations that don't work.





Version-Release number of selected component (if applicable):








How reproducible:


Always





Steps to Reproduce:


1. Install bindconf, remove caching-nameserver


2. Generate a configuration


3. Try to start named


	





Actual Results:  Named doesn't start (worse, the init.d script says "OK", but the daemon 
doesn't start).





Additional info:
Comment 1 Daniel Walsh 2002-08-08 16:40:52 EDT
I have moved the lines
zone  "." {
        type hint;
        file  "named.ca";
};
In build redhat-config-bind 1.8.1-12.  This will be in the next version of
RedHat Linux.

Out of the default /etc/named.conf and put them into /etc/named.custom.  So if
you  don't want to use the cacheing name server you just need to remove these lines.

Dan

Note You need to log in before you can comment on or make changes to this bug.